---
title: SVGStyleElement
slug: Web/API/SVGStyleElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<h2 id="SVG_style_interface">SVG style interface</h2>

<p>The <strong><code>SVGStyleElement</code></strong> interface corresponds to the SVG {{SVGElement("style")}} element.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent interface, {{domxref("SVGElement")}} and implements properties from {{domxref("LinkStyle")}}.</em></p>

<dl>
 <dt>{{domxref("SVGStyleElement.type")}}</dt>
 <dd>A {{domxref("DOMString")}} corresponding to the {{SVGAttr("type")}} attribute of the given element.
 <p class="note">SVG 1.1 defined that a {{domxref("DOMException")}} is raised with code <code>NO_MODIFICATION_ALLOWED_ERR</code> on an attempt to change the value of a read-only attribute. This restriction was removed in SVG 2.</p>
 </dd>
 <dt>{{domxref("SVGStyleElement.media")}}</dt>
 <dd>A {{domxref("DOMString")}} corresponding to the {{SVGAttr("media")}} attribute of the given element.
 <p class="note">SVG 1.1 defined that a {{domxref("DOMException")}} is raised with code <code>NO_MODIFICATION_ALLOWED_ERR</code> on an attempt to change the value of a read-only attribute. This restriction was removed in SVG 2.</p>
 </dd>
 <dt>{{domxref("SVGStyleElement.title")}}</dt>
 <dd>A {{domxref("DOMString")}} corresponding to the {{SVGAttr("title")}} attribute of the given element.
 <p class="note">SVG 1.1 defined that a {{domxref("DOMException")}} is raised with code <code>NO_MODIFICATION_ALLOWED_ERR</code> on an attempt to change the value of a read-only attribute. This restriction was removed in SVG 2.</p>
 </dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods, but inherits methods from its parent interface, {{domxref("SVGElement")}} and implements methods from {{domxref("LinkStyle")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "styling.html#InterfaceSVGStyleElement", "SVGStyleElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Added inheritance of {{domxref("LinkStyle")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "styling.html#InterfaceSVGStyleElement", "SVGStyleElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGStyleElement")}}</p>
